### Hierarchy

- RegExpConstructor

### Callable

- __call(pattern: RegExp | string): RegExp
- __call(pattern: string, flags?: undefined | string): RegExp

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:942

  #### Parameters

  - ##### pattern: RegExp | string

  #### Returns RegExp

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:943

  #### Parameters

  - ##### pattern: string

  - ##### Optional flags: undefined | string

  #### Returns RegExp

## Index

### Constructors

- constructor

### Properties

- $1
- $2
- $3
- $4
- $5
- $6
- $7
- $8
- $9
- lastMatch
- prototype

## Constructors

### constructor

- new RegExpConstructor(pattern: RegExp | string): RegExp
- new RegExpConstructor(pattern: string, flags?: undefined | string): RegExp

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:940

  #### Parameters

  - ##### pattern: RegExp | string

  #### Returns RegExp

- - Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:941

  #### Parameters

  - ##### pattern: string

  - ##### Optional flags: undefined | string

  #### Returns RegExp

## Properties

### $1

$1: string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:948

### $2

$2: string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:949

### $3

$3: string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:950

### $4

$4: string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:951

### $5

$5: string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:952

### $6

$6: string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:953

### $7

$7: string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:954

### $8

$8: string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:955

### $9

$9: string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:956

### lastMatch

lastMatch: string

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:957

### prototype

prototype: RegExp

- Defined in node_modules/typedoc/node_modules/typescript/lib/lib.es5.d.ts:945

Generated using TypeDoc